查询结算中心 - 结算汇总
POST
/bd/sp/api/open/settlement/summary/list支持查询亚马逊结算中心的结算汇总数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/bd/sp/api/open/settlement/summary/list | HTTPS | POST | 10 |
请求参数
offsetstringlengthstringcountryCodesstringsidsstringcurrencyCodestringdateTypestringstartDatestringendDatestringsearchFieldstringsearchValuestring请求示例
{
"offset": 0,
"length": 20,
"countryCodes": [
1
],
"sids": [
136
],
"currencyCode": "USD",
"dateType": 1,
"startDate": "2023-9-25",
"endDate": "2023-12-24",
"searchField": "id",
"searchValue": [
"LWCBG07Y55I3",
"D506VLLNX1VT"
]
}
返回结果
Json Object
codeinteger必填msgstring必填dataarray<object>必填隐藏子属性
totalinteger必填recordsarray<object>必填隐藏子属性
idstring必填sidinteger必填storeNamestring必填countryCodestring必填customerCountryCodestring必填sellerIdstring必填accountTypestring必填processingStatusstring必填fundTransferStatusstring必填reconciliationResultstring必填reconciliationResultMapobject必填隐藏子属性
【月份值】object隐藏子属性
checkStatusstring必填checkUserstring必填checkDatestring必填originalTotalCurrencyCodestring必填originalTotalCurrencyAmountnumber必填convertedTotalCurrencyCodestring必填convertedTotalCurrencyAmountnumber必填commentstring必填financialEventGroupStartLocalestring必填financialEventGroupEndLocalestring必填fundTransferDatestring必填fundTransferDateLocalestring必填settlementIdstring必填accountTailstring必填traceIdstring必填financialEventGroupIdstring必填saleobject必填隐藏子属性
salenumber必填productnumber必填freightnumber必填packingnumber必填othernumber必填taxnumber必填refundobject必填隐藏子属性
refundnumber必填saleRefundnumber必填feeRefundnumber必填taxnumber必填payobject必填隐藏子属性
paynumber必填storagenumber必填amazonnumber必填adnumber必填promotionnumber必填othernumber必填transferobject必填隐藏子属性
convertedTotalCurrencyAmountnumber必填beginningBalanceCurrencyAmountnumber必填originalTotalCurrencyAmountnumber必填previousReserveAmountnumber必填currentReserveAmountnumber必填creditCardDeductionnumber必填bucketstring必填s3FileKeystring必填originCurrencyIconstring必填convertCurrencyIconstring必填返回成功示例
{
"code": 0,
"msg": null,
"data": {
"total": 7,
"records": [
{
"id": "1C6CP3QMDVLHW",
"sid": 6,
"storeName": "XinghaiDirect-1567",
"countryCode": "US",
"customerCountryCode": "",
"sellerId": "xxxxxxxxxxxxxxxx",
"accountType": "Standard",
"processingStatus": "Closed",
"fundTransferStatus": "Succeeded",
"reconciliationResult": "未对账",
"reconciliationResultMap": {
"2022-09": {
"checkStatus": "未对账",
"checkUser": null,
"checkDate": null
},
"2022-08": {
"checkStatus": "未对账",
"checkUser": null,
"checkDate": null
}
},
"originalTotalCurrencyCode": "USD",
"originalTotalCurrencyAmount": 415.47,
"convertedTotalCurrencyCode": "USD",
"convertedTotalCurrencyAmount": 415.47,
"comment": null,
"financialEventGroupStartLocale": "2022-08-25T03:28:56-07:00",
"financialEventGroupEndLocale": "2022-09-08T03:28:56-07:00",
"fundTransferDate": "2022-09-09T10:37:53Z",
"fundTransferDateLocale": "2022-09-09T03:37:53-07:00",
"settlementId": "",
"accountTail": "225",
"traceId": "1BQR1QINCHA9LN9",
"financialEventGroupId": "xJorkEeGz7nDQ0Ul-fGDf_LjO1EQOzJN_j4oTYmY-GU",
"sale": {
"sale": 720.07,
"product": 718.91,
"freight": 3.81,
"packing": 0.00,
"other": -2.65,
"tax": 0.00
},
"refund": {
"refund": 0.00,
"saleRefund": 0.00,
"feeRefund": 0.00,
"tax": 0.00
},
"pay": {
"pay": -304.60,
"storage": 0.00,
"amazon": -304.60,
"ad": 0.00,
"promotion": 0.00,
"other": 0.00
},
"transfer": {
"convertedTotalCurrencyAmount": 415.47,
"beginningBalanceCurrencyAmount": 0.00,
"originalTotalCurrencyAmount": 415.47,
"previousReserveAmount": 0.00,
"currentReserveAmount": 0.00,
"creditCardDeduction": 0.00
},
"bucket": "",
"s3FileKey": "",
"originCurrencyIcon": "$",
"convertCurrencyIcon": "$",
"accountInfo": null
}
]
}
}